Add a tag to a specific server

Add an identifying tag to a specific VPS server. The server ID is obtained from the GET /api/vps-accounts endpoint. This is useful for organizing and categorizing your servers.

VPS Services VM

Context

Used in the dashboard

/

Workflow links

Requires

Headers

Accept Example
Content-Type Example

Body

required
application/json
serverId string required · Example: 18742
tagName string required · Example: gibb

Responses

200
data object required
data.serverId string required · Example: 18742
data.tagName string required · Example: gibb
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/server-tags
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/server-tags" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "serverId": "18742",
    "tagName": "gibb"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "serverId": "18742",
    "tagName": "gibb"
  }
}
Request Body Example 1
{
  "serverId": "18742",
  "tagName": "gibb"
}